Name:           python-advisory-parser
Version:        1.13
Release:        %autorelease
Summary:        Security flaw parser for upstream security advisories

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-3.0-or-later
URL:            https://github.com/RedHatProductSecurity/advisory-parser
Source:         %{pypi_source advisory_parser}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'advisory-parser' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-advisory-parser
Summary:        %{summary}

%description -n python3-advisory-parser %_description


%prep
%autosetup -p1 -n advisory_parser-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-advisory-parser -f %{pyproject_files}


%changelog
%autochangelog